"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const playwright_1 = require("playwright");
function generate({ text, outputPath, }) {
    (() => __awaiter(this, void 0, void 0, function* () {
        const browser = yield playwright_1.chromium.launch({ headless: true });
        const context = yield browser.newContext({ acceptDownloads: true });
        // Open new page
        const page = yield context.newPage();
        yield page.goto(`https://flowchart.fun/r/${encodeURIComponent(text)}?animation=0`);
        yield page.waitForSelector(".monaco-editor");
        // Click text=Download SVG
        const [download] = yield Promise.all([
            page.waitForEvent("download"),
            page.click("text=Download SVG"),
        ]);
        yield download.saveAs(outputPath);
        // ---------------------
        yield context.close();
        yield browser.close();
    }))();
}
exports.default = generate;
